Subject: New Reply Received - Very bad quality and very bad response from customer service. I bought one bed couple of days back a...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 29 Sep 2022 09:10:22 +0000

Hi Alhamzi Mohammed,  The customer has responded to the ticket.  Very bad quality and very bad response from customer service. I bought one bed couple of days back a...  Ticket comment <div>Homebox Stores see how you are responding to me. I already share the invoice copy  but you still asking me to send message . Well. This is an official and announced message</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4934610